fields:
  styleOptions:
    label: Colour Palette
    type:  headline

  info:
    type: info
    headline: Info
    text: |
      Please double-check the licenses and sources
      of all images before you upload them to the gallery.

  mycolors:
    label: Add colours (Use HEX values e.g. '#124559')
    type: structure
    fields:
      color:
        type: text

  palette:
    type: color-palette
    options: query
    query:
      fetch: site.mycolors.toStructure
      value: "{{ structureItem.color }}"


